Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIViewParameter.Reference

    java.lang.Object
      javax.faces.component.UIViewParameter.Reference

Enclosing class:
  UIViewParameter

    public static class UIViewParameter.Reference

extends java.lang.Object

Inner class to encapsulate a `UIViewParameter` instance so that it may be safely referenced regardless of whether or not the current view is the same as the view in which this `UIViewParameter` resides.

Since:
  2.0

Constructor Summary
`UIViewParameter.Reference(FacesContext context, UIViewParameter param, int indexInParent, java.lang.String viewIdAtTimeOfConstruction)` Construct a reference to a `UIViewParameter`.

Method Summary
`UIViewParameter` | `getUIViewParameter(FacesContext context)` Return the `UIViewParameter` to which this instance refers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIViewParameter.Reference

    public UIViewParameter.Reference(FacesContext context,
                                     UIViewParameter param,
                                     int indexInParent,
                                     java.lang.String viewIdAtTimeOfConstruction)

  Construct a reference to a `UIViewParameter`. This constructor cause the `StateHolder.saveState(javax.faces.context.FacesContext)` method to be called on argument `UIViewParameter`.

  Parameters:
    `context` - the `FacesContext`for this request
    `indexInParent` - the index of the `UIViewParameter` in its parent `UIPanel`.
    `viewIdAtTimeOfConstruction` - the viewId of the view in which the `UIViewParameter` is included. This may not be the same as the viewId from the `context` argument.
  Since:
    2.0

Method Detail

### getUIViewParameter

    public UIViewParameter getUIViewParameter(FacesContext context)

  Return the `UIViewParameter` to which this instance refers. If the current viewId is the same as the viewId passed to our constructor, use the index passed to the constructor to find the actual `UIViewParameter` instance and return it. Otherwise, call `StateHolder.restoreState(javax.faces.context.FacesContext, java.lang.Object)` on the saved state and return the result.

  Parameters:
    `context` - the `FacesContext`for this request
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.